package com.engine.tjyh.xc.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.engine.core.impl.Service;
import com.engine.tjyh.xc.cmd.XcCmd;
import com.engine.tjyh.xc.cmd.XcCmd2;
import com.engine.tjyh.xc.service.XcService;

import java.util.Map;

/**
 * TODO
 *
 * @Description
 * @Author matrix
 * @Date 2023/6/15 10:08
 **/
public class XcServiceImpl extends Service implements XcService {
    public Map<String, Object> sendData(JSONObject input) {
        return commandExecutor.execute(new XcCmd(input));
    }


    public Map<String, Object> sendData2(JSONObject input) {
        return commandExecutor.execute(new XcCmd2(input));
    }

}
